
local license = [[
Copyright 2018, Lars Lönneker

Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated
documentation files (the "Software"), to deal in the Software without restriction, including without limitation
the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software,
and to permit persons to whom the Software is furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in all copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT
LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.
IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY,
WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE
OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
]]


--> have to change the name
local Editor = require("Editor")
love.graphics.setDefaultFilter("nearest", "nearest")
love.graphics.setBackgroundColor(100, 150, 187, 255)

function love.load()
	Editor:init()
end



function love.update(dt)
	Editor:update(math.min(dt, .0666))
end



function love.draw()
	Editor:draw()
	love.graphics.print("FPS: "..love.timer.getFPS(), 10, 10)
	love.graphics.print("Mousewheel to zoom  ||  WASD to move Camera", 10, 30)
	love.graphics.print("Mouse 1 to draw tiles  || Mouse 2 to select tile on map", 10, 50)
	love.graphics.print("F1 for debug view (high performance impact [many rects])", 10, 70)
	love.graphics.print("SPACE to switch between the layers", 10, 90)
	love.graphics.print("F2 to save the map || F3 to load the previously saved map", 10, 110)
	love.graphics.print("ESCAPE to exit || R to reset", 10, 130)
end



function love.keypressed(key)
	Editor:keypressed(key)
	if key == "escape" then love.event.quit() end
end


function love.mousepressed(x, y, button, isTouch)
	Editor:mousepressed(x, y, button)
end



function love.mousereleased(x, y, button, isTouch)
	Editor:mousereleased(x, y, button)
end



function love.wheelmoved(x, y)
	Editor:wheelmoved(x, y)
end
